﻿//-----------------------------------------------------------------------------
// <copyright file="DateTimeInitConverter.cs" company="eQ-3 Entwicklung GmbH">
//  Copyright (c) 2013 eQ-3 Entwicklung GmbH
// </copyright>
// <summary>
// Shows for DateTime.FromBinary(10000) an error.
// </summary>
//-----------------------------------------------------------------------------
namespace UsbInterfaceTesttool.Converter
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Windows.Data;

    /// <summary>
    /// Shows for DateTime.FromBinary(10000) an error.
    /// </summary>
    public class DateTimeInitConverter : IValueConverter
    {
        #region IValueConverter Member
        /// <summary>
        /// Shows for DateTime.FromBinary(10000) an error.
        /// </summary>
        /// <param name="value">DateTime to convert.</param>
        /// <param name="targetType">The parameter is not used.</param>
        /// <param name="parameter">The parameter is not used.</param>
        /// <param name="culture">The parameter is not used.</param>
        /// <returns>DateTime.ToString or error string.</returns>
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (!(value is DateTime))
            {
                throw new ArgumentException();
            }

            DateTime time = (DateTime)value;
            if (time == DateTime.FromBinary(10000))
            {
                return "-";
            }
            else
            {
                return value;
            }
        }

        /// <summary>
        /// The method is not used.
        /// </summary>
        /// <param name="value">The parameter is not used.</param>
        /// <param name="targetType">The parameter is not used.</param>
        /// <param name="parameter">The parameter is not used.</param>
        /// <param name="culture">The parameter is not used.</param>
        /// <returns>The parameter is not used.</returns>
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
        #endregion
    }
}
