﻿//-----------------------------------------------------------------------------
// <copyright file="IsConnectedToStringConverter.cs" company="eQ-3 Entwicklung GmbH">
//  Copyright (c) 2013 eQ-3 Entwicklung GmbH
// </copyright>
// <summary>Converts a string to a color brush indicating the connection state.</summary>
//-----------------------------------------------------------------------------
namespace UsbInterfaceTesttool.Converter
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Windows.Data;

    /// <summary>
    /// Converts a string to a color brush indicating the connection state.
    /// </summary>
    public class IsConnectedToStringConverter : IValueConverter
    {
        /// <summary>
        /// Converts a string to a color brush indicating the connection state.
        /// </summary>
        /// <param name="value">Connection state.</param>
        /// <param name="targetType">The parameter is not used.</param>
        /// <param name="parameter">The parameter is not used.</param>
        /// <param name="culture">The parameter is not used.</param>
        /// <returns>Converted color brush.</returns>
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool isConnected = (bool)value;
            if (isConnected)
            {
                return "- verbunden -";
            }
            else
            {
                return "- nicht verbunden -";
            }
        }

        /// <summary>
        /// The method is not used here.
        /// </summary>
        /// <param name="value">The parameter is not used.</param>
        /// <param name="targetType">The parameter is not used.</param>
        /// <param name="parameter">The parameter is not used.</param>
        /// <param name="culture">The parameter is not used.</param>
        /// <returns>The parameter is not used.</returns>
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}