﻿//-----------------------------------------------------------------------------
// <copyright file="SelectedDeviceControlIndexToVisibilityConverter.cs" company="eQ-3 Entwicklung GmbH">
//  Copyright (c) 2013 eQ-3 Entwicklung GmbH
// </copyright>
// <summary>Converter used to hide device controls at the common tab of main windows tab control.</summary>
//-----------------------------------------------------------------------------
namespace UsbInterfaceTesttool.Converter
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Windows;
    using System.Windows.Data;

    /// <summary>
    /// Converter used to hide device controls at the common tab of main windows tab control.
    /// </summary>
    public class SelectedDeviceControlIndexToVisibilityConverter : IValueConverter
    {
        #region IValueConverter Member

        /// <summary>
        /// Converts the index of main windows tab control to a visibility.
        /// </summary>
        /// <param name="value">Index of main windows tab control.</param>
        /// <param name="targetType">The parameter is not used.</param>
        /// <param name="parameter">Address choser which gets the visibility.</param>
        /// <param name="culture">The parameter is not used.</param>
        /// <returns>Calculated visibility.</returns>
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (!(value is int))
            {
                throw new ArgumentException("value must be an int");
            }

            int index = (int)value;
            if (index != 0)
            {
                return Visibility.Visible;
            }
            else
            {
                return Visibility.Hidden;
            }
        }

        /// <summary>
        /// The method is not used.
        /// </summary>
        /// <param name="value">The parameter is not used.</param>
        /// <param name="targetType">The parameter is not used.</param>
        /// <param name="parameter">The parameter is not used.</param>
        /// <param name="culture">The parameter is not used.</param>
        /// <returns>The parameter is not used.</returns>
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
        #endregion
    }
}
