﻿//-----------------------------------------------------------------------------
// <copyright file="PositionArgs.cs" company="eQ-3 Entwicklung GmbH">
//  Copyright (c) 2013 eQ-3 Entwicklung GmbH
// </copyright>
// <summary>EventArgs for notifying about new read positions.</summary>
//-----------------------------------------------------------------------------
namespace UsbInterfaceTesttool
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// EventArgs for notifying about new read positions.
    /// </summary>
    public class PositionArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the PositionArgs class.
        /// </summary>
        /// <param name="x">New x-position.</param>
        /// <param name="y">New y-position.</param>
        /// <param name="z">New z-position.</param>
        public PositionArgs(int x, int y, int z)
            : base()
        {
            this.X = x;
            this.Y = y;
            this.Z = z;
        }

        /// <summary>
        /// Gets or sets new x-position.
        /// </summary>
        /// <value>New x-position.</value>
        public int X { get; set; }

        /// <summary>
        /// Gets or sets new y-position.
        /// </summary>
        /// <value>New y-position.</value>
        public int Y { get; set; }

        /// <summary>
        /// Gets or sets new z-position.
        /// </summary>
        /// <value>New z-position.</value>
        public int Z { get; set; }
    }
}