﻿//-----------------------------------------------------------------------------
// <copyright file="StreamEvent.cs" company="eQ-3 Entwicklung GmbH">
//  Copyright (c) 2013 eQ-3 Entwicklung GmbH
// </copyright>
// <summary>EventArgs for notifying about new read or written data to a ComPort-stream.</summary>
//-----------------------------------------------------------------------------
namespace UsbInterfaceTesttool.SerialCommunication
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// EventArgs for notifying about new read or written data to a ComPort-stream.
    /// </summary>
    public class StreamEvent : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the StreamEvent class.
        /// </summary>
        /// <param name="data">Read or written data.</param>
        public StreamEvent(string data) : base()
        {
            this.Data = data;
        }

        /// <summary>
        /// Gets or sets read or written data.
        /// </summary>
        /// <value>Read or written data.</value>
        public string Data { get; set; }
    }
}