﻿//-----------------------------------------------------------------------------
// <copyright file="UsbInterfaceError.cs" company="eQ-3 Entwicklung GmbH">
//  Copyright (c) 2013 eQ-3 Entwicklung GmbH
// </copyright>
// <summary>Wrapper for an error during com port communication.</summary>
//-----------------------------------------------------------------------------
namespace UsbInterfaceTesttool.SerialCommunication
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Wrapper for an error during com port communication.
    /// </summary>
    public class UsbInterfaceError
    {
        /// <summary>
        /// Initializes a new instance of the UsbInterfaceError class.
        /// </summary>
        /// <param name="message">Error message.</param>
        /// <param name="shouldDisconnect">A value indicating whether the com port connection should be disabled or not.</param>
        public UsbInterfaceError(string message, bool shouldDisconnect)
        {
            this.Message = message;
            this.ShouldDisconnect = shouldDisconnect;
        }

        /// <summary>
        /// Gets or sets error message.
        /// </summary>
        /// <value>Error message.</value>
        public string Message { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether the com port connection should be disabled or not.
        /// </summary>
        /// <value>A value indicating whether the com port connection should be disabled or not.</value>
        public bool ShouldDisconnect { get; set; }
    }
}
