﻿//-----------------------------------------------------------------------------
// <copyright file="GuiUtils.cs" company="eQ-3 Entwicklung GmbH">
//  Copyright (c) 2013 eQ-3 Entwicklung GmbH
// </copyright>
// <summary>Utils for GUI components.</summary>
//-----------------------------------------------------------------------------
namespace UsbInterfaceTesttool.Utils
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Windows.Controls;
    using System.Windows.Media;

    /// <summary>
    /// Utils for GUI components.
    /// </summary>
    public static class GuiUtils
    {
        /// <summary>
        /// Gets the scroll viewer of a list box.
        /// </summary>
        /// <param name="lb">List box to use.</param>
        /// <returns>Scroll viewer of the passed list box.</returns>
        public static ScrollViewer GetScrollViewer(ListBox lb)
        {
            var scrollBorder = (Border)VisualTreeHelper.GetChild(lb, 0);
            return (ScrollViewer)VisualTreeHelper.GetChild(scrollBorder, 0);
        }
    }
}
